Collect
/- Generate/Send Customer Statement
Creates a new statement record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified contact_id
Returns the default customer balance statement template
Returns a list of records with the specified organization_id
Sends out a preview of the notification email
Sends out a preview of the notification template
Returns a statement from the system by its ID.
Returns a statement from the system by its ID.
Partially updates a statement with the specified ID.
Updates a statement with the specified ID.
Generate/Send Customer St...
Generates and optionally sends a customer statement
Security
knox-authorizer
The domain_name to use to for record lookup
Determines if/how to restrict the type of invoices to
Enum:"exclude""include""none"
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/statements/{tenantId}/generate
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/statements/{tenantId}/generate
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/statements/{tenantId}/generate' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"business_unit_ids": [
"string"
],
"business_unit_restriction": "exclude",
"contact_id": "string",
"customer_type": "contact",
"email_address": "string",
"email_statement": true,
"invoice_type_restriction": "exclude",
"invoice_types": [
"string"
],
"organization_id": "string",
"override_statement_template": "string",
"save_statement_on_customer_record": true,
"statement_template_id": "string"
}'Response
"string"